import { TestBed } from '@angular/core/testing';

import { EncounterService } from './encounter.service';
import {CarePlan, DataCard} from '@nspop/gm-web-facade-api';
import {of} from 'rxjs/internal/observable/of';
import {Subject} from 'rxjs';
import {DataCardService} from '../api/data-card.service';
import {CarePlanService} from '../api/care-plan.service';
import {PatientContextService} from './patient-context.service';

describe('EncounterService', () => {
  let service: EncounterService;
  const carePlanServiceStub = {
    refresh: () => of({})
  } as any;
  const dataCardServiceStub = {
    refreshSelectedDataCard: of({}),
  } as any;
  beforeEach(() => {
    TestBed.configureTestingModule({
      providers: [
        {provide: DataCardService, useValue: dataCardServiceStub},
        {provide: CarePlanService, useValue: carePlanServiceStub},
        {provide: PatientContextService, useValue: of({})}
      ]
    });
    service = TestBed.inject(EncounterService);
  });

  it('should be created', () => {
    expect(service).toBeTruthy();
  });
});
