#!/bin/bash
if [ -z "$1" ]; then
  echo "No svn identifier for webfacade-api supplied."
  exit 1
fi
echo "Building api from $1"

if [ ! -f "./openapi-generator-cli.jar" ]; then
  echo downloading
  wget https://repo1.maven.org/maven2/org/openapitools/openapi-generator-cli/6.2.0/openapi-generator-cli-6.2.0.jar -O openapi-generator-cli.jar
fi

#Maternity
java -jar openapi-generator-cli.jar generate -i https://svn.nspop.dk/src/libraries/gm/api/$1/apis/maternity-data/maternity-data-schema/src/main/resources/open-api/maternity-api.yaml -g typescript-angular -o . --global-property models --skip-validate-spec --type-mappings DateTime=Date --type-mappings date=Date
#Feedback
java -jar openapi-generator-cli.jar generate -i https://svn.nspop.dk/src/libraries/gm/api/$1/apis/maternity-feedback/maternity-feedback-schema/src/main/resources/open-api/Domain-model.yaml -g typescript-angular -o . --global-property models --skip-validate-spec --type-mappings DateTime=Date --type-mappings date=Date
